%global pkg irsim-mode
%global pkgname Emacs-irsim-mode

%if %($(pkg-config emacs) ; echo $?)
%global emacs_version 23.1.1
%global emacs_lispdir %{_datadir}/emacs/site-lisp
%global emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%global emacs_version %(pkg-config emacs --modversion)
%global emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%global emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif


Name:		emacs-%{pkg}
Version:	0.1
Release:	2%{?dist}
Summary:	Irsim mode for emacs

Group:		Applications/Editors
License:	MIT
URL:		http://code.google.com/p/irsim-mode/
Source0:	http://irsim-mode.googlecode.com/files/irsim-mode.el
Source1:	%{pkg}-init.el
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	emacs emacs-el
Requires:	emacs(bin) >= %{emacs_version}
		
%description
%{pkgname} provides Emacs mode for editing IRSIM netlists.
IRSIM is a switch-level simulator for digital logic circuits. 

%package el
Summary:	Source files for %{pkgname} under GNU Emacs
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}

%description el
This package contains the elisp source files for 
use with %{pkgname}.

%prep
%{__rm} -rf %{_builddir}/%{name}-%{version}
%{__mkdir} -p %{_builddir}/%{name}-%{version}
cp %{SOURCE0} %{_builddir}/%{name}-%{version}
cp %{SOURCE1} %{_builddir}/%{name}-%{version}


%build
cd %{_builddir}/%{name}-%{version}
emacs --no-site-file --batch --eval '(progn (setq load-path (cons "." load-path)))' -f batch-byte-compile %{pkg}.el

%install
%{__rm} -rf %{buildroot}
cd %{_builddir}/%{name}-%{version}
%{__install} -m 755 -d %{buildroot}%{emacs_lispdir}/irsim-mode/
%{__install} -m 755 -d %{buildroot}%{emacs_startdir}	
%{__install} -m 644 %{pkg}.* %{buildroot}%{emacs_lispdir}/%{pkg}
%{__install} -m 644 %{SOURCE1} %{buildroot}%{emacs_startdir}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{emacs_lispdir}/%{pkg}/*.elc
%{emacs_startdir}/%{pkg}-init.el
%dir %{emacs_lispdir}/%{pkg}
%dir %{emacs_startdir}

%files el
%defattr(-,root,root,-)
%{emacs_lispdir}/%{pkg}/*.el
%{emacs_startdir}

%changelog
* Wed Dec 02 2009 Arun SAG <sagarun [AT] gmail dot com> - 0.1-2
- Reduntant globals removed
- Description updated

* Wed Dec 02 2009 Arun SAG <sagarun [AT] gmail dot com> - 0.1-1
- Initial release 0.1-1
